"FMNexWeb 1" = "NxWb1nnYYnn";

"FMNexWeb 10" = "3.5";
"FMNexWeb 11" = "FM.NEXUS - Web Services 3.5";

"FMNexWeb 101" = "_FmNx_Version( short/long )";
"FMNexWeb 102" = "_FmNx_Register( license_key; owner )";
"FMNexWeb 103" = "_FmNx_GetPref( key ) // possible keys( wsdl_count; wsdl_names; function_count; function_names; function_prototypes; verbose; host; port; proxy_user; proxy_password; {wsdl/domain:}http_user; {wsdl/domain:}http_password; wsdl:timeout, {wsdl/domain}:strict_ssl; default_encoding; param_delimiter )";
"FMNexWeb 104" = "_FmNx_SetPref( key=value{; key=value{, key=value ...}} ) // possible keys( verbose=log file path; host=url; port=number; proxy_user=string; proxy_password=string; {wsdl/domain:}http_user=string; {wsdl/domain:}http_password=string; wsdl:timeout=seconds; {wsdl/domain:}client_certificate=cert path, {wsdl/domain:}client_key=key file path, {wsdl/domain:}client_key_password=key file password, {wsdl/domain:}strict_ssl=true/false (if wsdl is omitted affects Load and REST) default_encoding=default/utf8/iso_8859_1; param_delimiter=delimiter (delimiter cannot contain colon))";
"FMNexWeb 105" = "_FmNx_XPATH_query( xml_document; xpath_query {; remove_tags; {namespaces_list}} ) // Note: XPATH is case sentitive - remove_tags is true or false - namespace_list must be in \"<prefix1>=<href1> <prefix2>=href2> ...\" format";
"FMNexWeb 106" = "_FmNx_Reload_All";
"FMNexWeb 107" = "_FmNx_Load_WSDL( wsdl_name; wsdl_document ) // this function is deprecated - please use Load_WSDL_From_URL";
"FMNexWeb 108" = "_FmNx_Unload( wsdl_name )";
"FMNexWeb 109" = "_FmNx_HTTP_GET( URL; format; {header; header ...} ) // format can be jpeg/gif/png/bmp/pdf/txt";
"FMNexWeb 110" = "_FmNx_HTTP_POST( URL; post_data; format; {header; header ...} ) // format can be jpeg/gif/png/bmp/pdf/txt";
"FMNexWeb 122" = "_FmNx_HTTP_PUT( URL; put_data; {header; header ...} )";
"FMNexWeb 123" = "_FmNx_HTTP_DELETE( URL; {header; header ...} )";
"FMNexWeb 124" = "_FmNx_Load_WSDL_From_URL( wsdl_name; URL )";
"FMNexWeb 125" = "_FmNx_Base64_Decode( base64_string; format ) // format can be an extension or a full filename (only jpeg/gif/png/bmp/pdf have previews)";
"FMNexWeb 126" = "_FmNx_Base64_Encode( binary_data )";
"FMNexWeb 127" = "_FmNx_JSON(json; query) // JSON Object and Array lookups";

"FMNexWeb 111" = "AuthNet_ValidateCard( x_card_num )";
"FMNexWeb 112" = "AuthNet_AuthCapture( x_login; x_tran_key; x_amount; x_card_num; x_exp_date {; var1 = value1 {; var2 = value2...}} )";
"FMNexWeb 113" = "AuthNet_AuthOnly( x_login; x_tran_key; x_amount; x_card_num; x_exp_date  {; var1 = value1 {; var2 = value2...}} )";
"FMNexWeb 114" = "AuthNet_PriorAuthCapture( x_login; x_tran_key; x_trans_id; x_amount; x_card_num; x_exp_date {; var1 = value1 {; var2 = value2...}} )";
"FMNexWeb 115" = "AuthNet_Credit( x_login; x_tran_key; x_trans_id; x_amount; x_card_num; x_exp_date {; var1 = value1 {; var2 = value2...}} )";
"FMNexWeb 116" = "AuthNet_CaptureOnly( x_login; x_tran_key; x_auth_code; x_amount; x_card_num; x_exp_date {; var1 = value1 {; var2 = value2...}} )";
"FMNexWeb 117" = "AuthNet_Void( x_login; x_tran_key; x_trans_id; x_amount; x_card_num; x_exp_date {; var1 = value1 {; var2 = value2...}} )";
"FMNexWeb 118" = "AuthNet_GetResult( transResponse; resultName )";
"FMNexWeb 119" = "AuthNet_SetTransactionMode( production/test/confirmation )";

"FMNexPay 120" = "AuthNet_EC_Auth_Capture( x_login; x_tran_key; x_amount; x_bank_aba_code; x_bank_acct_num; x_bank_acct_type; x_bank_acct_name; x_bank_name; x_echeck_type {; var1 = value1 {; var2 = value2...}} )";
"FMNexPay 121" = "AuthNet_EC_Credit( x_login; x_tran_key; x_trans_id; x_amount; x_bank_aba_code; x_bank_acct_num; x_bank_acct_type; x_bank_acct_name; x_bank_name; x_echeck_type {; var1 = value1 {; var2 = value2...}} )";

"FMNexWeb 128" = "FM.NEXUS - Web Services";
"FMNexWeb 129" = "This is the FM.NEXUS - Web Services 3.5 plugin. It provides interfaces to Web Services.";

"FMNexWeb 500" = "https://secure.authorize.net/gateway/transact.dll";
"FMNexWeb 501" = "https://test.authorize.net/gateway/transact.dll";
"FMNexWeb 502" = "https://certification.authorize.net/gateway/transact.dll";
